Bug 200823 - fstyp(8) should have support for zfs
Summary: fstyp(8) should have support for zfs
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: bin (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Many People
Assignee: Allan Jude
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-06-12 19:13 UTC by Alan Somers
Modified: 2018-02-15 03:08 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Alan Somers freebsd_committer 2015-06-12 19:13:45 UTC
fstyp(8) should have the ability to detect ZFS pools.  It should be possible to detect them by using the same algorithm as the dump_label function from cddl/contrib/opensolaris/cmd/zdb/zdb.c
Comment 1 Edward Tomasz Napierala freebsd_committer 2015-06-13 11:43:13 UTC
This is being worked on (actually looks pretty much ready) at https://reviews.freebsd.org/D2045
Comment 2 commit-hook freebsd_committer 2015-06-19 05:09:22 UTC
A commit references this bug:

Author: allanjude
Date: Fri Jun 19 05:09:05 UTC 2015
New revision: 284589
URL: https://svnweb.freebsd.org/changeset/base/284589

Log:
  Add the ability to detect ZFS and GELI encrypted file systems to fstyp(8)

  Functionality is hidden behind the -u flag to avoid confusing automounters

  PR:		200823
  Reviewed by:	asomers, eadler, wblock (man page)
  Approved by:	trasz
  MFC after:	10 days
  Relnotes:	yes
  Sponsored by:	ScaleEngine Inc.
  Differential Revision:	https://reviews.freebsd.org/D2045

Changes:
  head/usr.sbin/fstyp/Makefile
  head/usr.sbin/fstyp/fstyp.8
  head/usr.sbin/fstyp/fstyp.c
  head/usr.sbin/fstyp/fstyp.h
  head/usr.sbin/fstyp/geli.c
  head/usr.sbin/fstyp/zfs.c
Comment 3 commit-hook freebsd_committer 2018-02-15 00:11:53 UTC
A commit references this bug:

Author: asomers
Date: Thu Feb 15 00:11:43 UTC 2018
New revision: 329288
URL: https://svnweb.freebsd.org/changeset/base/329288

Log:
  Fix utils_test_007_pos

  The test fails due to an fstyp(8) usage difference between Illumos and
  FreeBSD.  Fix the usage.

  PR:		200823
  Sponsored by:	Spectra Logic Corp

Changes:
  projects/zfsd/head/tests/sys/cddl/zfs/tests/utils_test/utils_test_007_pos.ksh
Comment 4 Allan Jude freebsd_committer 2018-02-15 03:08:16 UTC
Sorry, I wasn't even aware of the IllumOS version when I wrote the FreeBSD support from scratch on an Airplane on the way to some conference or other.